> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getShieldedTransactionsBySignature

> Solana 트랜잭션 서명에 대해 인덱싱된 실드 이벤트를 조회합니다.

## 트랜잭션의 이벤트

응답은 `eventIndex`순으로 정렬된 `result.transactions`을 반환합니다. 각 항목에는 이벤트 인덱스와 암호화된 출력, 메시지, 널리파이어가 포함된 실드 트랜잭션이 들어 있습니다. 하나의 Solana 트랜잭션에는 여러 실드 이벤트가 포함될 수 있습니다.

빈 `transactions` 배열은 인덱서에 일치하는 실드 이벤트가 없음을 의미합니다. 최근 제출한 트랜잭션이 존재하지 않는 것으로 판단하기 전에 `context.slot`을 확인하세요. 이 메서드는 페이지네이션을 사용하지 않습니다.

## 요청 매개변수

**txSignature** `string` *required*

Base58로 인코딩된 64바이트 Solana 트랜잭션 서명입니다.


## OpenAPI

````yaml ko/openapi/privacy/getShieldedTransactionsBySignature.yaml POST /v1/spr/getShieldedTransactionsBySignature
openapi: 3.0.3
info:
  title: Solana 프라이버시 링 API
  version: 0.51.2
  description: 암호화된 상태, 기록, 증명 및 공개 레지스트리 레코드를 위한 프라이버시 인덱서 JSON-RPC API입니다.
servers:
  - url: https://devnet.helius-rpc.com
    description: Devnet Solana 프라이버시 링 API
security: []
paths:
  /v1/spr/getShieldedTransactionsBySignature:
    post:
      summary: getShieldedTransactionsBySignature
      description: Solana 트랜잭션 서명에 대해 인덱싱된 보호 이벤트를 조회합니다.
      operationId: getShieldedTransactionsBySignature
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                id:
                  type: string
                  description: 요청을 식별하는 ID입니다.
                  default: '1'
                jsonrpc:
                  type: string
                  description: JSON-RPC 프로토콜 버전입니다.
                  enum:
                    - '2.0'
                  default: '2.0'
                method:
                  type: string
                  description: 호출할 메서드입니다. 최종 URL 경로 세그먼트와 일치해야 합니다.
                  enum:
                    - getShieldedTransactionsBySignature
                  default: getShieldedTransactionsBySignature
                params:
                  type: object
                  required:
                    - txSignature
                  properties:
                    txSignature:
                      allOf:
                        - $ref: '#/components/schemas/SerializableSignature'
                      description: Base58로 인코딩된 64바이트 Solana 트랜잭션 서명입니다.
                  additionalProperties: false
                  example:
                    txSignature: >-
                      555555555555555555555555555555555555555555555555555555555555555555555555555555555555555
            example:
              jsonrpc: '2.0'
              id: '1'
              method: getShieldedTransactionsBySignature
              params:
                txSignature: >-
                  555555555555555555555555555555555555555555555555555555555555555555555555555555555555555
        required: true
      responses:
        '200':
          description: JSON-RPC 응답입니다. 결과를 읽기 전에 오류를 확인하세요.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
                  id:
                    type: string
                    description: 요청 ID입니다.
                  jsonrpc:
                    type: string
                    description: JSON-RPC 프로토콜의 버전입니다.
                    enum:
                      - '2.0'
                  result:
                    type: object
                    required:
                      - context
                      - transactions
                    properties:
                      context:
                        $ref: '#/components/schemas/Context'
                      outputTreeId:
                        type: integer
                        format: uint16
                        description: 일시 중지되지 않은 최신 상태 트리 ID입니다. 사용할 수 없으면 생략됩니다.
                        minimum: 0
                      transactions:
                        type: array
                        items:
                          $ref: '#/components/schemas/IndexedShieldedTransaction'
              example:
                jsonrpc: '2.0'
                id: '1'
                result:
                  context:
                    slot: 4242
                    blockTime: 1730000000
                  transactions: []
        '400':
          description: >-
            실행 전에 거부되었습니다. 메서드와 경로의 불일치, 중복 메서드 필드 또는 배치 요청은 -32601을 반환합니다. 읽을 수
            없거나 너무 큰 본문은 -32600을 반환합니다.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: 요청 ID이며, 본문이 단일 JSON-RPC 호출이 아니면 null입니다.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '429':
          description: 요청 속도 제한을 초과했습니다.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: 요청 ID이며, 본문이 단일 JSON-RPC 호출이 아니면 null입니다.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '500':
          description: 내부 서버 오류입니다.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: 요청 ID이며, 본문이 단일 JSON-RPC 호출이 아니면 null입니다.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
      security:
        - ApiKeyQuery: []
components:
  schemas:
    SerializableSignature:
      type: string
      description: Base58로 인코딩된 64바이트 Solana 트랜잭션 서명입니다.
    Context:
      type: object
      required:
        - blockTime
        - slot
      properties:
        blockTime:
          type: integer
          format: int64
        slot:
          type: integer
          format: uint64
          description: 슬롯 기반 최신성 검사에 사용하기 위해 인덱서가 저장한 가장 높은 슬롯입니다.
          minimum: 0
    IndexedShieldedTransaction:
      type: object
      required:
        - eventIndex
        - transaction
      properties:
        eventIndex:
          type: integer
          format: uint16
          minimum: 0
        transaction:
          $ref: '#/components/schemas/ShieldedTransaction'
    ShieldedTransaction:
      type: object
      required:
        - slot
        - txSignature
        - txViewingPk
        - salt
        - outputSlots
        - messages
        - nullifiers
        - proofless
      properties:
        eventIndex:
          type: integer
          format: uint16
          minimum: 0
        messages:
          type: array
          items:
            $ref: '#/components/schemas/RingsMessage'
          description: 출력 커밋에 바인딩되지 않은 공개 데이터 슬롯이며, 원문 그대로 다시 게시됩니다.
        nullifiers:
          type: array
          items:
            $ref: '#/components/schemas/Hash'
        outputSlots:
          type: array
          items:
            $ref: '#/components/schemas/RingsOutputSlot'
        proofless:
          type: boolean
          description: 이 트랜잭션의 출력 중 하나 이상에 증명이 없으면 true입니다.
        ringConfig:
          type: string
          description: 링의 구성 계정(`ring_auth` PDA)입니다. 이 트랜잭션을 승인한 링이 없으면 생략됩니다.
        ringProgramId:
          type: string
          description: >-
            인덱싱된 등록 정보를 통해 확인된 링의 프로그램입니다. `ringConfig`가 생략되었거나 링 등록이 인덱싱되지 않았으면
            생략됩니다. "링 없음"과 "프로그램이 인덱싱되지 않은 링"을 구분하려면 `ringConfig`를 사용하세요.
        salt:
          type: string
          description: 모든 출력 암호문이 공유하는 트랜잭션 수준의 AES 솔트입니다.
          nullable: true
        slot:
          type: integer
          format: uint64
          minimum: 0
        txSignature:
          $ref: '#/components/schemas/SerializableSignature'
        txViewingPk:
          type: string
          description: Base64로 인코딩된 바이트 문자열입니다.
          nullable: true
    RingsMessage:
      type: object
      required:
        - viewTag
        - payload
      properties:
        payload:
          $ref: '#/components/schemas/Base64String'
        viewTag:
          $ref: '#/components/schemas/Hash'
    Hash:
      type: string
      description: Base58로 인코딩된 32바이트 해시입니다.
    RingsOutputSlot:
      type: object
      required:
        - viewTag
        - outputContext
        - payload
      properties:
        outputContext:
          $ref: '#/components/schemas/RingsOutputContext'
        payload:
          $ref: '#/components/schemas/Base64String'
        viewTag:
          $ref: '#/components/schemas/Hash'
    Base64String:
      type: string
      description: Base64로 인코딩된 바이트 문자열입니다.
    RingsOutputContext:
      type: object
      required:
        - hash
        - tree
        - treeId
        - leafIndex
      properties:
        hash:
          $ref: '#/components/schemas/Hash'
        leafIndex:
          type: integer
          format: uint64
          minimum: 0
        tree:
          allOf:
            - $ref: '#/components/schemas/SerializablePubkey'
          description: 상태 트리 계정입니다. treeId를 사용하는 것이 좋습니다. 트리 계정은 이 값에서 파생됩니다.
          deprecated: true
        treeId:
          type: integer
          format: uint16
          description: 출력 커밋이 해시되는 원시 트리 ID입니다.
          minimum: 0
    SerializablePubkey:
      type: string
      description: Base58로 인코딩된 Solana 공개 키입니다.
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: Helius API 키입니다.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.